Get All CIPC Enterprise Directors
curl --request POST \
--url https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ConsentReceived": true,
"RegistrationNumber": "<string>",
"CRef": "<string>"
}
'import requests
url = "https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors"
payload = {
"ConsentReceived": True,
"RegistrationNumber": "<string>",
"CRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ConsentReceived: true, RegistrationNumber: '<string>', CRef: '<string>'})
};
fetch('https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ConsentReceived' => true,
'RegistrationNumber' => '<string>',
'CRef' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors"
payload := strings.NewReader("{\n \"ConsentReceived\": true,\n \"RegistrationNumber\": \"<string>\",\n \"CRef\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ConsentReceived\": true,\n \"RegistrationNumber\": \"<string>\",\n \"CRef\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ConsentReceived\": true,\n \"RegistrationNumber\": \"<string>\",\n \"CRef\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"CRef": "<string>",
"Status": "Success",
"Message": "<string>",
"TrackingNumber": "<string>",
"CIPCDirectors": [
{
"IDNumber": "<string>",
"IDNumberTen": "<string>",
"RegistrationNumber": "<string>",
"CompanyName": "<string>",
"CompanyStatus": "<string>",
"CompanyType": "<string>",
"CompanySize": "<string>",
"DirectorStatusCode": "<string>",
"DirectorStatus": "<string>",
"MaxStatusDate": "<string>",
"PersonName": "<string>",
"ResignationDate": "<string>",
"AppointmentDate": "<string>",
"ValidID": true,
"IDNameMatch": "<string>",
"Source": "<string>",
"Reference": "<string>",
"UsingExtraPersonDetails": true,
"DirectorTypeCode": "<string>",
"DirectorType": "<string>",
"Country": "<string>"
}
],
"TotalRecords": 123,
"TotalReturnedRecords": 123,
"status_message": "<string>",
"bh_response_code": "<string>",
"http_code": "<string>",
"request_reference": "<string>"
}Enterprise
Get All CIPC Enterprise Directors
This is a service that requests the information of directors of a CIPC Registered company for verification purposes.
Get All CIPC Enterprise Directors
curl --request POST \
--url https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ConsentReceived": true,
"RegistrationNumber": "<string>",
"CRef": "<string>"
}
'import requests
url = "https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors"
payload = {
"ConsentReceived": True,
"RegistrationNumber": "<string>",
"CRef": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ConsentReceived: true, RegistrationNumber: '<string>', CRef: '<string>'})
};
fetch('https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ConsentReceived' => true,
'RegistrationNumber' => '<string>',
'CRef' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors"
payload := strings.NewReader("{\n \"ConsentReceived\": true,\n \"RegistrationNumber\": \"<string>\",\n \"CRef\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ConsentReceived\": true,\n \"RegistrationNumber\": \"<string>\",\n \"CRef\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://citizen.uat.securecitizen.cloud/Citizen/CIPCCheckDirectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ConsentReceived\": true,\n \"RegistrationNumber\": \"<string>\",\n \"CRef\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"CRef": "<string>",
"Status": "Success",
"Message": "<string>",
"TrackingNumber": "<string>",
"CIPCDirectors": [
{
"IDNumber": "<string>",
"IDNumberTen": "<string>",
"RegistrationNumber": "<string>",
"CompanyName": "<string>",
"CompanyStatus": "<string>",
"CompanyType": "<string>",
"CompanySize": "<string>",
"DirectorStatusCode": "<string>",
"DirectorStatus": "<string>",
"MaxStatusDate": "<string>",
"PersonName": "<string>",
"ResignationDate": "<string>",
"AppointmentDate": "<string>",
"ValidID": true,
"IDNameMatch": "<string>",
"Source": "<string>",
"Reference": "<string>",
"UsingExtraPersonDetails": true,
"DirectorTypeCode": "<string>",
"DirectorType": "<string>",
"Country": "<string>"
}
],
"TotalRecords": 123,
"TotalReturnedRecords": 123,
"status_message": "<string>",
"bh_response_code": "<string>",
"http_code": "<string>",
"request_reference": "<string>"
}Authorizations
Body
application/json
Example: true
This is an indicator to audit the fact that the controller has obtained consent from the subject to process their personal information and data as per the regulatory requirements pertaining to local and global privacy and data protection legislation.
Response
Success
Status values (static strings) to be used for external connection management
Available options:
Success, Failure, Unknown, AuthFailure, DataDeserializationError, EmptyResults, ErrorContactSupport, FaceDetectionFailure, FaceComparisonFailure, NoStatusDefined, FaceDetectionQualityTooLow, FaceDetectionTooManyFaces, FaceDetectionNoFacesFound, FaceComparisonError, FaceComparisonNotSame, GoldenSourceImageNull, ProvidedImageNull, GoldenSourceNoFacesFound, ProvidedImageNoFacesFound, GoldenSourceHasTooManyFaces, ProvidedImageHasTooManyFaces, GoldenSourceQualityTooLow, ProvidedImageQualityTooLow, GoldenSourceGUIDIncorrect, ProvidedImageGUIDIncorrect, FaceAPIGeneralError, FaceAPIPublicUrlInputError, FaceBadInput, GoldenSourceIncorrectStringFormat, ProvidedImageIncorrectStringFormat, SAFPSNPROk, SAFPSHANISOk, SAFPSNIISOk, SAFPSNPRSlow, SAFPSHANISSlow, SAFPSNIISSlow, SAFPSFailure, SAFPSPossibleFailure, SAFPSNPRFailure, SAFPSHANISFailure, SAFPSNIISFailure, FaceTooClose, EyesClosed, FaceCloseToBorder, FaceCropped, FaceIsOccluded, FaceNotFound, TooManyFaces, FaceTooSmall, AbsoluteFaceTooSmall, RelativeFaceTooSmall, FaceAngleTooLarge, FailedToPredictLandmarks, Active, CSuccess, AsyncCSuccess, IdentificationNumberInvalid, IdentificationNumberAgeBelow18, UnableToVerifyIdentificationNumberOnDocument, UnableToVerifyIdentificationNumberAtGoldenSource, GoldenSourceUnavailable, MandatoryInformationMissing, NPRSuccess, HANISNotAvailable, InvalidIDNCheckDigitTestNotPassed, NPRNotAvailableOnlyPhotoIsReturned, IDNRIsNotCurrentlyAValidNPRIDNR, IDNRIsMarkedForDeletion 
